In Programación

Uno de los descubrimientos que hice hace ya muchos años, fue la librería jQuery. Aún recuerdo cuando empecé a ver lo que se podía hacer con esta librería y la cantidad de plugins, quedé maravillado. Hasta entonces pensaba que para darle dinamismo a una web y cierto movimiento, habia que hacerlo con Flash. Con el engorro y complejidad que conllevaba.

Resolver conflictos entre Jquerys

Tanto si haces tu web con un CMS ( joomla, wordpress, etc…) o si la haces “a pelo”, hoy en día se me hace muy estrañoo el no utilizar algún plugin de jQuery. Ya sea un Slide, un menú, una galeria de fotos,… Te verás obligado a utilizar esta fantastica libreria. Tanto es así, que muchas veces en una misma pagina, coinciden varios plugins que cargan el archivo jquery o alguna de sus variantes. Normalmente no pasa nada, pero otras tantas, existe algún conflito entre versiones de jquery o alguna de las variables que inicializan. Bien, pues existen varios metodos para poder solucionarlo.

Desde que comencé a encontrarme este tipo de conflictos, he “googleado” mucho. Y hay opiniones y remedios para todos los gustos. Yo simplemente, te voy a contar como he solucionado varios de estos conflicctos en las páginas web que hemos hecho en Nuteco Diseño Web.

¿Como darse cuenta de que existe un conflicto con los jQuery?

Bien, pues esto es muy sencillo. O bien alguno de los plugins que has instalados no funcionan en alguna de las secciones de tu web, donde coinciden varios plugins jQuery.
También puedes ver este tipo de erros con el inspector de código web de Google Chrome o Firefox.

Lo más importante. Como solucionarlo.

Por experiencia, lo primero que debes hacer cuando te encuetras un conflicto jquery, es comprobar en el código de la página web, cuantas veces se carga el archivo jquery.js o jquery-min.js . A veves, simplemente quitando una de esas cargas se soluciona el problema.

Lo segundo que suelo probar es chequear las versiones de los jquery. Si son antiguas, por ejemplo las versiones 1.3, 1.4 o 1.5, lo que hago es sustituir esos archivos por un archivo jquery.js de una verión posterior y más actualizada (1.8 o 1.9). A veces el problema está que la misma página web carga una versión antigua y otra más actualizada del jQuery.

Si ninguna de las anteriores formas funcionan, lo siguiente que prueba es a utilizar la función jQuery.noConflict(); .

Aquí os dejo un par de ejemplos:

<script type="text/javascript" src="jquery.js">
</script> <script type="text/javascript" src="easySlider1.7.js">
</script> <script type="text/javascript"> 
jQuery.noConflict(); 
jQuery(document).ready(function(){    
jQuery("#slider").easySlider({ 
numeric: true,  
pause: 6000 
});
 });    
</script>
<script type="text/javascript" src="jquery..js">
</script> <script type="text/javascript" src="easySlider1.7.js">
</script> <script type="text/javascript"> 
jQuery.noConflict(); 
var j = jQuery.noConflict(); 
j(document).ready(function(){    
j("#slider").easySlider({ 
numeric: true,  
pause: 6000 
});
 });    
</script>

 

 

paypal y tiendas online albaceteoptimizar pagina web